WESNOTH(6)

NAZWA
wesnoth - Bitwa o Wesnoth, turowa strategia w klimatach fantasy

SKŁADNIA
wesnoth [OPCJE] [SCIEZKA_DO_DANYCH]

OPIS
Battle for Wesnoth jest turową strategią w klimatach fantasy.

Pokonaj wszystkich wrogich przywódców z pomocą odpowiednio dobranej grupy żołnierzy, dbając również o zarządzanie zasobami złota oraz wioskami. Wszystkie jednostki posiadają charakterystyczne zalety i słabości. Aby wygrać, wykorzystuj zalety swoich jednostek, ustawiając je na najlepszych pozycjach i nie pozwól, by twój przeciwnik uczynił to samo. Zdobywając doświadczenie, jednostki uczą się nowych umiejętności i stają się coraz potężniejsze. Graj w Wesnoth we własnym języku i przetestuj swoje umiejętności w rozgrywce przeciwko sprytnemu, komputerowemu przeciwnikowi lub przyłącz się do wielkiej sieciowej społeczności graczy Wesnoth. Twórz własne jednostki, scenariusze lub kampanie i udostępniaj je innym graczom.

OPCJE

--bpp liczba
    ustawia liczbę bitów na piksel. Przykład: --bpp 32

-c, --campaign
    powoduje przejście bezpośrednio do menu wyboru kampanii.

--config-dir name
    ustawia katalog konfiguracyjny użytkownika na name w ramach katalogu $HOME lub (w przypadku systemów Windows) "My Documents\My Games".

--config-path
    wyświetla ścieżkę katalogu konfiguracyjnego użytkownika i kończy działanie.

-d, --debug
    aktywuje dodatkowe opcje trybu poleceń w grze (więcej informacji o trybie poleceń można znaleźć na stronie http://www.wesnoth.org/wiki/CommandMode).

--dummy-locales
    używa specjalnych atrap ustawień regionalnych, by umożliwić przełączenie na dowolny język, nawet jeśli nie jest on zainstalowany w systemie.

-e, --editor plik
    bezpośrednio uruchamia wbudowany edytor map. Jeśli podano parametr plik, działanie opcji jest równoważne -e --load

--fps
    wyświetla bieżącą liczbę klatek na sekundę w rogu ekranu.

-f, --fullscreen
    uruchamia grę w trybie pełnoekranowym.

--gunzip plikwejsciowy.gz
    dekompresuje plik zapisanej gry w formacie gzip i zapisuje go bez rozszerzenia .gz. Pierwotny plik (plikwejsciowy.gz) jest usuwany.

--gzip plikwejsciowy
    kompresuje plik zapisanej gry do archiwum gzip (plikwejsciowy.gz) i usuwa pierwotny plik (plikwejsciowy).

-h, --help
    wyświetla podsumowanie opcji wiersza poleceń na standardowym wyjściu i kończy działanie.

-l, --load file
    ładuje plik zapisu gry plik z domyślnego katalogu zapisanych gier. Jeśli dodatkowo podano opcję -e lub --editor, zostanie uruchomiony edytor z załadowaną mapą z pliku plik. Jeśli wskazano katalog, po uruchomieniu edytora zostanie wyświetlone okno dialogowe ładowania mapy z zawartością tego katalogu.

--log-poziom=domena1,domena2,...
    określa poziom istotności domen debugowania. all oznacza dopasowanie wszystkich domen debugowania. Dostępne poziomy: error (błędy),warning (ostrzeżenia), info (informacje), debug (debugowanie). Poziom domyślny to error (błędy).

--logdomains
    dokonuje zrzutu wszystkich domen dzienników i kończy działanie.

--max-fps
    liczba klatek na sekundę wyświetlanych przez grę. Wartość ta powinna zawierać się między 1 a 1000, przy czym domyślna wartość to 50.

-m, --multiplayer
    uruchamia grę wieloosobową. Wraz z przełącznikiem --multiplayer można używać dodatkowych opcji, które zostały objaśnione poniżej.

--no-delay
    uruchamia grę bez opóźnień na wykonanie testów wydajności grafiki. Ta opcja jest domyślnie włączana przez przełącznik --nogui.

--nocache
    wyłącza buforowanie danych gry.

--nomusic
    uruchamia grę bez muzyki.

--nosound
    uruchamia grę bez dźwięków i muzyki.

--path
    wyświetla nazwę katalogu z danymi gry i kończy działanie.

-r XxY, --resolution XxY
    ustawia rozdzielczość ekranu gry. Przykład: -r 800x600

--smallgui
    umożliwia korzystanie z niskich rozdzielczości ekranu (do 800x480) i zmienia rozmiary niektórych elementów interfejsu.

-s, --server [host]
    nawiązuje połączenie z podanym hostem lub (jeśli host nie został podany) z pierwszym serwerem określonym w preferencjach. Przykład: --server server.wesnoth.org

-t, --test
    uruchamia grę z małym scenariuszem testowym.

--validcache
    przyjmuje, że zawartość pamięci podręcznej jest poprawna (niebezpieczne).

-v, --version
    wyświetla numer wersji i kończy działanie.

-w, --windowed
    uruchamia grę w oknie.

--with-replay
    odtwarza powtórkę gry wczytanej za pomocą opcji --load.

Opcje dla flagi --multiplayer
Opcje dostępne dla danej strony gry wieloosobowej są oznaczone przez numer. numer powinien zostać zastąpiony przez numer danej strony. Zazwyczaj jest to 1 lub 2, ale zależy to od maksymalnej liczby graczy w danym scenariuszu.

--algorithmnumer=wartość
    pozwala wybrać niestandardowy algorytm, z którego ma korzystać AI kontrolujące daną stronę. Dostępne wartości: idle_ai i sample_ai..

--controllernumer=wartość
    pozwala ustalić typ gracza kontrolującego daną stronę. Dostępne wartości: human i ai.

--era=wartość
    tej opcji należy użyć, aby zagrać w wybranej erze zamiast w erze domyślnej (Default). Ery wybierane są na podstawie identyfikatora i są opisane w pliku data/multiplayer/eras.cfg.

--exit-at-end
    kończy działanie programu po zakończeniu scenariusza, bez wyświetlania tabeli zwycięstwa/porażki, która wymaga kliknięcia OK przez użytkownika. Opcja ta jest również stosowana do testowania za pomocą skryptów.

--nogui
    uruchamia grę bez graficznego interfejsu użytkownika (GUI). Aby osiągnać planowany rezultat, należy użyć tej flagi przed opcją --multiplayer.

--parmnumer=nazwa:wartość
    ustawia dodatkowe parametry dla bieżącej strony. Wartość ta jest zależna od opcji użytych z flagami --controller i --algorithm.. Z reguły przydatne jedynie dla osób tworzących własne AI. (Dokumentacja niekompletna)

--scenario=wartość
    wybiera scenariusz gry wieloosobowej według identyfikatora. Domyślnym scenariuszem jest multiplayer_The_Freelands.

--sidenumer=wartość
    wybiera dla danej strony frakcję dostępną w bieżącej erze. Frakcja wybierana jest za pomocą identyfikatora. Frakcje opisane są w pliku data/multiplayer.cfg.

--turns=wartość
    określa maksymalną liczbę tur dla danego scenariusza. Wartość domyślna to 50.

AUTOR
Autor: David White <davidnwhite@verizon.net>.
Redakcja: Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> i Soliton <soliton.de@gmail.com>.
Autorem pierwotnej wersji niniejszej strony podręcznika man jest Cyril Bouthors <cyril@bouthors.org>.
Odwiedź oficjalną stronę WWW: http://www.wesnoth.org/

PRAWA AUTORSKIE
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Oprogramowanie typu Free Software. Oprogramowanie oparte na licencji GPL wersja 2 opublikowanej przez Free Software Foundation. Nie udziela się ŻADNEJ gwarancji, łącznie z RĘKOJMIĄ oraz GWARANCJĄ PRZYDATNOŚCI DO OKREŚLONEGO CELU.

ZOBACZ TAKŻE
wesnoth_editor(6), wesnothd(6)